#ifndef COMPONENTS_H
#define COMPONENTS_H

#include <QDomElement>
#include <QString>

class Components
{
public:
    Components();
    Components(QDomElement e);

    QString humanReadable() const;
    bool hasVocal() const;
    bool hasSomatic() const;
    bool hasMaterial() const;
    QString materialComponent() const;
    bool materialComponentIsExpensive() const;
    bool expensiveMaterialComponentIsConsumed() const;

private:
    void parseComponents(QDomElement e);

private:
    QString _humanReadable;
    bool _hasVocal;
    bool _hasSomatic;
    bool _hasMaterial;
    QString _materialComponent;
    bool _materialComponentIsExpensive;
    bool _expensiveMaterialComponentIsConsumed;
};

#endif // COMPONENTS_H
